using System.Collections;
using System.Collections.Generic;
using Godot;
using System;

using System.Threading.Tasks;

namespace Rokojori
{
  [Tool][GlobalClass]
  public partial class _XX_MultiBakeMode:Resource
  {
    public MultiBaker multiBaker;

    public virtual int GetNumViews()
    {
      return -1;
    }

    public virtual void CreateBakers()
    {

    }

    public virtual void AssignMaterial( BakingMaterialMode mode, Texture2D texture )
    {

    }

    public virtual void CreateMaterial( bool preview )
    {

    }

  }
}